Element
Keywords: uk.ac.ic.doc.automed.wrappers.xsdomobject.Element class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.wrappers.xsdomobject
Class Element

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.xsdomobject.XSDOMObject
          uk.ac.ic.doc.automed.wrappers.xsdomobject.Element

    public class Element

extends XSDOMObject

Define the internal representation for an XMLSchema element

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.wrappers.xsdomobject.XSDOMObject
`icon, keyref, maxOccurs, minOccurs, name, parent, required, so, type`

Constructor Summary
`Element(java.lang.String name, java.lang.String type)` Creates a new instance of Element
`Element(java.lang.String name, java.lang.String type, int minOccurs, boolean maxOccurs)` Creates a new instance of Element with a type and a boundedness

Method Summary
`XSDOMObject` | `getPrimaryKey()` Get the primary key for this Element
`void` | `setPrimaryKey(XSDOMObject primaryKey)` Set the primary key for this Element

Methods inherited from class uk.ac.ic.doc.automed.wrappers.xsdomobject.XSDOMObject
`getIcon, getKeyRef, getMaxOccurs, getMinOccurs, getName, getParent, getSchemaObject, getType, setIcon, setKeyRef, setMaxOccurs, setMinOccurs, setName, setParent, setSchemaObject, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Element

    public Element(java.lang.String name,
                   java.lang.String type)

  Creates a new instance of Element

### Element

    public Element(java.lang.String name,
                   java.lang.String type,
                   int minOccurs,
                   boolean maxOccurs)

  Creates a new instance of Element with a type and a boundedness

Method Detail

### getPrimaryKey

    public XSDOMObject getPrimaryKey()

  Get the primary key for this Element

### setPrimaryKey

    public void setPrimaryKey(XSDOMObject primaryKey)

  Set the primary key for this Element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD